: Class GeometryStripArray

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.j3d
Class GeometryStripArray

    java.lang.Object
      |
      +--javax.media.j3d.SceneGraphObject
            |
            +--javax.media.j3d.NodeComponent
                  |
                  +--javax.media.j3d.Geometry
                        |
                        +--javax.media.j3d.GeometryArray
                              |
                              +--javax.media.j3d.GeometryStripArray

Direct Known Subclasses:
  LineStripArray, TriangleFanArray, TriangleStripArray

public abstract class GeometryStripArray
extends GeometryArray

The GeometryStripArray object is an abstract class that is extended for a set of GeometryArray strip primitives. These include LINE_STRIP, TRIANGLE_STRIP, and TRIANGLE_FAN.

Fields inherited from class javax.media.j3d.GeometryArray
`ALLOW_COLOR_READ, ALLOW_COLOR_WRITE, ALLOW_COORDINATE_READ, ALLOW_COORDINATE_WRITE, ALLOW_COUNT_READ, ALLOW_FORMAT_READ, ALLOW_NORMAL_READ, ALLOW_NORMAL_WRITE, ALLOW_TEXCOORD_READ, ALLOW_TEXCOORD_WRITE, COLOR_3, COLOR_4, COORDINATES, NORMALS, TEXTURE_COORDINATE_2, TEXTURE_COORDINATE_3`

Fields inherited from class javax.media.j3d.Geometry
`ALLOW_INTERSECT`

Constructor Summary
`GeometryStripArray(int vertexCount, int vertexFormat, int[] stripVertexCounts)` Constructs an empty GeometryStripArray object with the specified number of vertices, vertex format, and array of per-strip vertex counts.

Method Summary
`int` | `getNumStrips()` Get number of strips in the GeometryStripArray
`void` | `getStripVertexCounts(int[] stripVertexCounts)` Get a list of vertexCounts for each strip

Methods inherited from class javax.media.j3d.GeometryArray
`getColor, getColor, getColor, getColor, getColor, getColor, getColors, getColors, getColors, getColors, getColors, getColors, getCoordinate, getCoordinate, getCoordinate, getCoordinate, getCoordinates, getCoordinates, getCoordinates, getCoordinates, getNormal, getNormal, getNormals, getNormals, getTextureCoordinate, getTextureCoordinate, getTextureCoordinate, getTextureCoordinates, getTextureCoordinates, getTextureCoordinates, getVertexCount, getVertexFormat, setColor, setColor, setColor, setColor, setColor, setColor, setColors, setColors, setColors, setColors, setColors, setColors, setColors, setColors, setColors, setColors, setColors, setColors, setCoordinate, setCoordinate, setCoordinate, setCoordinate, setCoordinates, setCoordinates, setCoordinates, setCoordinates, setCoordinates, setCoordinates, setCoordinates, setCoordinates, setNormal, setNormal, setNormals, setNormals, setNormals, setNormals, setTextureCoordinate, setTextureCoordinate, setTextureCoordinate, setTextureCoordinates, setTextureCoordinates, setTextureCoordinates, setTextureCoordinates, setTextureCoordinates, setTextureCoordinates`

Methods inherited from class javax.media.j3d.NodeComponent
`cloneNodeComponent, duplicateNodeComponent, getDuplicateOnCloneTree, setDuplicateOnCloneTree`

Methods inherited from class javax.media.j3d.SceneGraphObject
`clearCapability, duplicateSceneGraphObject, getCapability, getUserData, isCompiled, isLive, setCapability, setUserData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeometryStripArray

    public GeometryStripArray(int vertexCount,
                              int vertexFormat,
                              int[] stripVertexCounts)

  Constructs an empty GeometryStripArray object with the specified number of vertices, vertex format, and array of per-strip vertex counts.
  Parameters:
    `vertexCount` - the number of vertex elements in this array
    `vertexFormat` - a mask indicating which components are present in each vertex. This is specified as one or more individual flags that are bitwise "OR"ed together to describe the per-vertex data. The flags include: COORDINATES, to signal the inclusion of vertex positions--always present; NORMALS, to signal the inclusion of per vertex normals; one of COLOR_3, COLOR_4, to signal the inclusion of per vertex colors (without or with color information); and one of TEXTURE_COORDINATE_2 or TEXTURE_COORDINATE_3, to signal the inclusion of per-vertex texture coordinates 2D or 3D.
    `stripVertexCounts` - array that specifies the count of the number of vertices for each separate strip. The length of this array is the number of separate strips.

Method Detail

### getNumStrips

    public final int getNumStrips()

  Get number of strips in the GeometryStripArray
  Returns:
    numStrips number of strips

### getStripVertexCounts

    public final void getStripVertexCounts(int[] stripVertexCounts)

  Get a list of vertexCounts for each strip
  Parameters:
    `stripVertexCounts` - an array that will receive vertexCounts

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD